Update secret
Update an existing secret. After updating, the version is automatically incremented.
Validation Rules:
- Only
valueandentity_idcan be updated value: max 8KB
Response: Returns updated metadata with incremented version.
Path Parameters
- Type: stringname
Pattern: ^[a-zA-Z0-9_]{1,64}$requiredSecret name.
Body·
required
application/json
Request to update an existing secret. At least one of value or entity_id must be provided.
- Type: stringentity
_id Update the entity scope.
- Type: stringvaluemax length:8192
New plaintext secret value. Max 8KB.
Responses
- application/json
- 401
Unauthorized
- 404
Secret not found
- application/json
- 500
Internal Error
Request Example for patch/secrets/{name}
curl 'https://forward.checkout.com/secrets/{name}' \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"entity_id": "ent_1234",
"value": "NEW_VALUE_1"
}'
{
"name": "secret_name_1",
"created_at": "2025-10-14T00:00:00Z",
"updated_at": "2025-10-14T12:00:00Z",
"version": 2,
"entity_id": "ent_123"
}